Returns detailed profitability drilldown data for a specific item or grouping.
curl --request POST \
--url https://{install}/api/insight/report/profitability/drilldown \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dimension": "<string>",
"id": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://{install}/api/insight/report/profitability/drilldown"
payload = {
"dimension": "<string>",
"id": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dimension: '<string>',
id: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://{install}/api/insight/report/profitability/drilldown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/insight/report/profitability/drilldown");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"dimension\": \"<string>\",\n \"id\": \"<string>\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"itemId": "<string>",
"itemName": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"timeLogged": "<string>"
}
]Insights & Reports
Returns detailed profitability drilldown data for a specific item or grouping.
POST
/
api
/
insight
/
report
/
profitability
/
drilldown
Returns detailed profitability drilldown data for a specific item or grouping.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The drilldown criteria including the target item and date range.
Returns profitability data for the specified reporting period.
Previous
Returns board cycle time risk analysis for the specified reporting period.
Next
⌘I